Classification Analytics
curl --request GET \
--url https://api.signa.so/v1/analytics/classifications/{class} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.signa.so/v1/analytics/classifications/{class}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.signa.so/v1/analytics/classifications/{class}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "classification_analytics",
"nice_class": 9,
"total_marks": 950000,
"active_count": 720000,
"by_status": {
"registered": 600000,
"pending": 120000,
"expired": 90000,
"cancelled": 60000,
"abandoned": 80000
},
"by_office": {
"uspto": 700000,
"euipo": 250000
},
"filing_trend": {
"2025": 82000
},
"computed_at": "2026-07-12T00:00:00.000Z",
"request_id": "req_example"
}
Classification Analytics
Classification Analytics
GET
/
v1
/
analytics
/
classifications
/
{class}
Classification Analytics
Use this endpoint for class-level filing intelligence, such as measuring how crowded Nice class 9 is across offices and over time.
Nice class from 1 through 45.
curl https://api.signa.so/v1/analytics/classifications/9 -H "Authorization: Bearer $SIGNA_API_KEY"
Nice class number.
Marks classified in this class.
Counts keyed by office code.
Annual filing counts.
{
"object": "classification_analytics",
"nice_class": 9,
"total_marks": 950000,
"active_count": 720000,
"by_status": {
"registered": 600000,
"pending": 120000,
"expired": 90000,
"cancelled": 60000,
"abandoned": 80000
},
"by_office": {
"uspto": 700000,
"euipo": 250000
},
"filing_trend": {
"2025": 82000
},
"computed_at": "2026-07-12T00:00:00.000Z",
"request_id": "req_example"
}
⌘I